{
  "swagger": "2.0",
  "info": {
    "title": "main.proto",
    "version": "version not set"
  },
  "consumes": [
    "application/json"
  ],
  "produces": [
    "application/json"
  ],
  "paths": {
    "/csv": {
      "get": {
        "operationId": "EveningDetective_GetTeamsCSV",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/evening_detectiveGetTeamsCSVRsp"
            }
          },
          "default": {
            "description": "An unexpected error response.",
            "schema": {
              "$ref": "#/definitions/runtimeError"
            }
          }
        },
        "tags": [
          "EveningDetective"
        ]
      }
    },
    "/game": {
      "get": {
        "operationId": "EveningDetective_GetGame",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/evening_detectiveGetGameRsp"
            }
          },
          "default": {
            "description": "An unexpected error response.",
            "schema": {
              "$ref": "#/definitions/runtimeError"
            }
          }
        },
        "tags": [
          "EveningDetective"
        ]
      }
    },
    "/game/start": {
      "post": {
        "operationId": "EveningDetective_GameStart",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/evening_detectiveGameStartRsp"
            }
          },
          "default": {
            "description": "An unexpected error response.",
            "schema": {
              "$ref": "#/definitions/runtimeError"
            }
          }
        },
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/evening_detectiveGameStartReq"
            }
          }
        ],
        "tags": [
          "EveningDetective"
        ]
      }
    },
    "/game/stop": {
      "post": {
        "operationId": "EveningDetective_GameStop",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/evening_detectiveGameStopRsp"
            }
          },
          "default": {
            "description": "An unexpected error response.",
            "schema": {
              "$ref": "#/definitions/runtimeError"
            }
          }
        },
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/evening_detectiveGameStopReq"
            }
          }
        ],
        "tags": [
          "EveningDetective"
        ]
      }
    },
    "/ping": {
      "get": {
        "operationId": "EveningDetective_Ping",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/evening_detectivePingRsp"
            }
          },
          "default": {
            "description": "An unexpected error response.",
            "schema": {
              "$ref": "#/definitions/runtimeError"
            }
          }
        },
        "tags": [
          "EveningDetective"
        ]
      }
    },
    "/team": {
      "get": {
        "operationId": "EveningDetective_GetTeam",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/evening_detectiveGetTeamRsp"
            }
          },
          "default": {
            "description": "An unexpected error response.",
            "schema": {
              "$ref": "#/definitions/runtimeError"
            }
          }
        },
        "tags": [
          "EveningDetective"
        ]
      }
    },
    "/team/actions": {
      "post": {
        "operationId": "EveningDetective_AddAction",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/evening_detectiveAddActionRsp"
            }
          },
          "default": {
            "description": "An unexpected error response.",
            "schema": {
              "$ref": "#/definitions/runtimeError"
            }
          }
        },
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/evening_detectiveAddActionReq"
            }
          }
        ],
        "tags": [
          "EveningDetective"
        ]
      }
    },
    "/teams": {
      "get": {
        "operationId": "EveningDetective_GetTeams",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/evening_detectiveGetTeamsRsp"
            }
          },
          "default": {
            "description": "An unexpected error response.",
            "schema": {
              "$ref": "#/definitions/runtimeError"
            }
          }
        },
        "tags": [
          "EveningDetective"
        ]
      },
      "post": {
        "operationId": "EveningDetective_AddTeams",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/evening_detectiveAddTeamsRsp"
            }
          },
          "default": {
            "description": "An unexpected error response.",
            "schema": {
              "$ref": "#/definitions/runtimeError"
            }
          }
        },
        "parameters": [
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/evening_detectiveAddTeamsReq"
            }
          }
        ],
        "tags": [
          "EveningDetective"
        ]
      }
    },
    "/teams/{teamId}/applications": {
      "post": {
        "operationId": "EveningDetective_GiveApplications",
        "responses": {
          "200": {
            "description": "A successful response.",
            "schema": {
              "$ref": "#/definitions/evening_detectiveGiveApplicationsRsp"
            }
          },
          "default": {
            "description": "An unexpected error response.",
            "schema": {
              "$ref": "#/definitions/runtimeError"
            }
          }
        },
        "parameters": [
          {
            "name": "teamId",
            "in": "path",
            "required": true,
            "type": "string",
            "format": "int64"
          },
          {
            "name": "body",
            "in": "body",
            "required": true,
            "schema": {
              "$ref": "#/definitions/evening_detectiveGiveApplicationsReq"
            }
          }
        ],
        "tags": [
          "EveningDetective"
        ]
      }
    }
  },
  "definitions": {
    "evening_detectiveAction": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "int64"
        },
        "place": {
          "type": "string"
        },
        "name": {
          "type": "string"
        },
        "text": {
          "type": "string"
        },
        "applications": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/evening_detectiveApplication"
          }
        }
      }
    },
    "evening_detectiveAddActionReq": {
      "type": "object",
      "properties": {
        "place": {
          "type": "string"
        }
      }
    },
    "evening_detectiveAddActionRsp": {
      "type": "object"
    },
    "evening_detectiveAddTeamsReq": {
      "type": "object",
      "properties": {
        "teams": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/evening_detectiveTeam"
          }
        }
      }
    },
    "evening_detectiveAddTeamsRsp": {
      "type": "object",
      "properties": {
        "teams": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/evening_detectiveTeamFull"
          }
        }
      }
    },
    "evening_detectiveApplication": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "int64"
        },
        "name": {
          "type": "string"
        },
        "state": {
          "type": "string"
        }
      }
    },
    "evening_detectiveGameStartReq": {
      "type": "object"
    },
    "evening_detectiveGameStartRsp": {
      "type": "object"
    },
    "evening_detectiveGameStopReq": {
      "type": "object",
      "properties": {
        "timeSeconds": {
          "type": "string",
          "format": "int64"
        }
      }
    },
    "evening_detectiveGameStopRsp": {
      "type": "object"
    },
    "evening_detectiveGetGameRsp": {
      "type": "object",
      "properties": {
        "state": {
          "type": "string"
        }
      }
    },
    "evening_detectiveGetTeamRsp": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        },
        "actions": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/evening_detectiveAction"
          }
        }
      }
    },
    "evening_detectiveGetTeamsCSVRsp": {
      "type": "object",
      "properties": {
        "data": {
          "type": "string"
        }
      }
    },
    "evening_detectiveGetTeamsRsp": {
      "type": "object",
      "properties": {
        "teams": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/evening_detectiveTeamAdvanced"
          }
        }
      }
    },
    "evening_detectiveGiveApplicationsReq": {
      "type": "object",
      "properties": {
        "teamId": {
          "type": "string",
          "format": "int64"
        },
        "applications": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/evening_detectiveApplication"
          }
        }
      }
    },
    "evening_detectiveGiveApplicationsRsp": {
      "type": "object"
    },
    "evening_detectivePingRsp": {
      "type": "object"
    },
    "evening_detectiveTeam": {
      "type": "object",
      "properties": {
        "name": {
          "type": "string"
        }
      }
    },
    "evening_detectiveTeamAdvanced": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "int64"
        },
        "name": {
          "type": "string"
        },
        "password": {
          "type": "string"
        },
        "url": {
          "type": "string"
        },
        "spendTime": {
          "type": "string",
          "format": "int64"
        },
        "applications": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/evening_detectiveApplication"
          }
        }
      }
    },
    "evening_detectiveTeamFull": {
      "type": "object",
      "properties": {
        "id": {
          "type": "string",
          "format": "int64"
        },
        "name": {
          "type": "string"
        },
        "password": {
          "type": "string"
        }
      }
    },
    "protobufAny": {
      "type": "object",
      "properties": {
        "type_url": {
          "type": "string"
        },
        "value": {
          "type": "string",
          "format": "byte"
        }
      }
    },
    "runtimeError": {
      "type": "object",
      "properties": {
        "error": {
          "type": "string"
        },
        "code": {
          "type": "integer",
          "format": "int32"
        },
        "message": {
          "type": "string"
        },
        "details": {
          "type": "array",
          "items": {
            "$ref": "#/definitions/protobufAny"
          }
        }
      }
    }
  }
}
